Up

# NSUserNotification documentation

### Authors

Generated by Debian

### Contents -

1. Software documentation for the NSUserNotification class
2. Software documentation for the NSUserNotificationCenter class
3. Software documentation for the NSObject(NSUserNotificationCenterDelegateMethods) informal protocol
4. Software documentation for the NSUserNotificationCenterDelegate protocol

# Software documentation for the NSUserNotification class

## NSUserNotification : NSObject

> Declared in:
>   Foundation/NSUserNotification.h

> Conforms to:
>   NSCopying

Availability: MacOS-X 10.8.0
Description forthcoming.

Instance Variables

## Instance Variables for NSUserNotification Class

### _uniqueId

@public id _uniqueId;
Availability: MacOS-X 10.8.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSUserNotificationCenter class

## NSUserNotificationCenter : NSObject

> Declared in:
>   Foundation/NSUserNotification.h

Availability: MacOS-X 10.8.0
Description forthcoming.

Instance Variables
Method summary

- +defaultUserNotificationCenter
- -deliverNotification:
- -removeAllDeliveredNotifications
- -removeDeliveredNotification:
- -removeScheduledNotification:
- -scheduleNotification:

### defaultUserNotificationCenter

+ (NSUserNotificationCenter*) defaultUserNotificationCenter;
Availability: MacOS-X 10.8.0
Description forthcoming.

### deliverNotification:

- (void) deliverNotification: (NSUserNotification*)un;
Availability: MacOS-X 10.8.0
Description forthcoming.

### removeAllDeliveredNotifications

- (void) removeAllDeliveredNotifications;
Availability: MacOS-X 10.8.0
Description forthcoming.

### removeDeliveredNotification:

- (void) removeDeliveredNotification: (NSUserNotification*)un;
Availability: MacOS-X 10.8.0
Description forthcoming.

### removeScheduledNotification:

- (void) removeScheduledNotification: (NSUserNotification*)un;
Availability: MacOS-X 10.8.0
Description forthcoming.

### scheduleNotification:

- (void) scheduleNotification: (NSUserNotification*)un;
Availability: MacOS-X 10.8.0
Description forthcoming.

## Instance Variables for NSUserNotificationCenter Class

### _deliveredNotifications

@protected NSMutableArray* _deliveredNotifications;
Availability: MacOS-X 10.8.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _scheduledNotifications

@protected NSMutableArray* _scheduledNotifications;
Availability: MacOS-X 10.8.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSObject(NSUserNotificationCenterDelegateMethods) informal protocol

## NSObject(NSUserNotificationCenterDelegateMethods)

> Declared in:
>   Foundation/NSUserNotification.h

Availability: MacOS-X 10.8.0
Description forthcoming.
Method summary

- -userNotificationCenter:didActivateNotification:
- -userNotificationCenter:didDeliverNotification:
- -userNotificationCenter:shouldPresentNotification:

### userNotificationCenter: didActivateNotification:

- (void) userNotificationCenter: (NSUserNotificationCenter*)center didActivateNotification: (NSUserNotification*)notification;
Availability: MacOS-X 10.8.0
Description forthcoming.

### userNotificationCenter: didDeliverNotification:

- (void) userNotificationCenter: (NSUserNotificationCenter*)center didDeliverNotification: (NSUserNotification*)notification;
Availability: MacOS-X 10.8.0
Description forthcoming.

### userNotificationCenter: shouldPresentNotification:

- (BOOL) userNotificationCenter: (NSUserNotificationCenter*)center shouldPresentNotification: (NSUserNotification*)notification;
Availability: MacOS-X 10.8.0
Description forthcoming.

# Software documentation for the NSUserNotificationCenterDelegate protocol

## NSUserNotificationCenterDelegate

> Declared in:
>   Foundation/NSUserNotification.h

> Conforms to:
>   NSObject

Availability: MacOS-X 10.8.0
Description forthcoming.
Up